PT-2016-04: Cross-Site Request Forgery in Advantech WebAccess

Vulnerable software

Advantech WebAccess
Version: 8.0 and earlier


Severity level

Severity level: Medium
Impact: Cross-Site Request Forgery
Access Vector: Remote

CVSS v2:
Base Score: 6.8
Vector: (AV:N/AC:L/Au:S/C:P/I:P/A:P)

CVE: CVE-2015-3946

Software description

Advantech WebAccess is a browser-based software package for human-machine interfaces HMI, and supervisory control and data acquisition SCADA. It is used to automate complex industrial processes for situations where remote operations are needed.

Vulnerability description

The specialists of the Positive Research center have detected a Cross-Site Request Forgery vulnerability in Advantech WebAccess.

Vulnerability in Advantech WebAccess before 8.1 allows remote attackers to conduct cross-site request forgery (CSRF) attacks and hijack the authentication of arbitrary users using specific scripts that imitate trusted accounts.

How to fix

Update your software up to the latest version

Advisory status

15.12.2014 - Vendor gets vulnerability details
14.01.2016 - Vendor releases fixed version and details
10.03.2016 - Public disclosure


The vulnerability was detected by Mikhail Firstov and Ilya Karpov, Positive Research Center (Positive Technologies Company)


Reports on the vulnerabilities previously discovered by Positive Research: